idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | Safe-Inferred
Language | Haskell2010

Idris.Main

Description

Synopsis

- idrisMain :: [Opt] -> Idris ()
- idris :: [Opt] -> IO (Maybe IState)
- runMain :: Idris () -> IO ()
- runClient :: Maybe PortNumber -> String -> IO ()
- loadInputs :: [FilePath] -> Maybe Int -> Idris [FilePath]

# Documentation

idrisMain :: [Opt] -> Idris () #

The main function of Idris that when given a set of Options will launch Idris into the desired interaction mode either: REPL; Compiler; Script execution; or IDE Mode.

idris :: [Opt] -> IO (Maybe IState) #

Invoke as if from command line. It is an error if there are unresolved totality problems.

runMain :: Idris () -> IO () #

How to run Idris programs.

runClient :: Maybe PortNumber -> String -> IO () #

Run a command on the server on localhost

loadInputs :: [FilePath] -> Maybe Int -> Idris [FilePath] #